Changelog for Tag:
  stage: Changelog
  image: quay.io/git-chglog/git-chglog:0.14.2
  needs: []
  rules:
    - if: $CI_COMMIT_TAG
      when: always
    - when: never
  variables:
    GIT_STRATEGY: clone
    GIT_DEPTH: 0
  before_script:
    - git fetch --tags
  script:
    - git-chglog --repository-url=$CI_REPOSITORY_URL -c .cicd/chglog/config.yml -o changelog.md $(git describe --tags $CI_COMMIT_TAG)
  artifacts:
    paths:
      - changelog.md
